Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dispatcher.mapper
Class CompositeActionMapper

    java.lang.Object
      org.apache.struts2.dispatcher.mapper.CompositeActionMapper

All Implemented Interfaces:
  ActionMapper

    public class CompositeActionMapper

extends Object
implements ActionMapper

A composite action mapper that is capable of delegating to a series of `ActionMapper` if the former failed to obtained a valid `ActionMapping` or uri. More details: http://struts.apache.org/2.x/docs/actionmapper.html

Version:
  $Date$ $Id$
See Also:
  `ActionMapper`, `ActionMapping`

Field Summary
`protected List<ActionMapper>` | `actionMappers`

Constructor Summary
`CompositeActionMapper(Container container, String list)`

Method Summary
`ActionMapping` | `getMapping(javax.servlet.http.HttpServletRequest request, ConfigurationManager configManager)` Expose the ActionMapping for the current request
`ActionMapping` | `getMappingFromActionName(String actionName)` Expose the ActionMapping for the specified action name
`String` | `getUriFromActionMapping(ActionMapping mapping)` Convert an ActionMapping into a URI string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### actionMappers

    protected List<ActionMapper> actionMappers

Constructor Detail

### CompositeActionMapper

    public CompositeActionMapper(Container container,
                                 String list)

Method Detail

### getMapping

    public ActionMapping getMapping(javax.servlet.http.HttpServletRequest request,
                                    ConfigurationManager configManager)

  Description copied from interface: `ActionMapper`
  Expose the ActionMapping for the current request

  Specified by:
    `getMapping` in interface `ActionMapper`
  Parameters:
    `request` - The servlet request
    `configManager` - The current configuration manager
  Returns:
    The appropriate action mapping or null if mapping cannot be determined

### getMappingFromActionName

    public ActionMapping getMappingFromActionName(String actionName)

  Description copied from interface: `ActionMapper`
  Expose the ActionMapping for the specified action name

  Specified by:
    `getMappingFromActionName` in interface `ActionMapper`
  Parameters:
    `actionName` - The name of the action that may have other information embedded in it
  Returns:
    The appropriate action mapping

### getUriFromActionMapping

    public String getUriFromActionMapping(ActionMapping mapping)

  Description copied from interface: `ActionMapper`
  Convert an ActionMapping into a URI string

  Specified by:
    `getUriFromActionMapping` in interface `ActionMapper`
  Parameters:
    `mapping` - The action mapping
  Returns:
    The URI string that represents this mapping

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.